<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmProgressType Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmProgressType Enumeration

Visual Basic
C#
C++/CLI
Types of progress bars that are affected by certain operations.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmProgressType
       Inherits System.Enum

C# |
--- | ---

    public enum EdmProgressType : System.Enum

C++/CLI |
--- | ---

    public enum class EdmProgressType : public System.Enum

# Members

Member | Description
--- | ---
Ept_FileTransfer | 2 = Progress bar for copying the data of a single file
Ept_Operation | 1 = Progress bar for the entire operation
Ept_UpdateReference | 3 = Progress bar for updating file references

# See Also

####

EPDM.Interop.epdm Namespace
IEdmGetOpCallback::ProgressBegin Method ()
IEdmGetOpCallback::ProgressEnd Method ()
IEdmGetOpCallback::ProgressStep Method ()
IEdmUnlockOpCallback::ProgressBegin Method ()
IEdmUnlockOpCallback::ProgressEnd Method ()
IEdmUnlockOpCallback::ProgressStep Method ()
IEdmUnlockOpCallback::ProgressStepEvent Method ()